#!/bin/bash
echo "Detecting OS..."
OS=$(lsb_release -si)
NAME=$(os_release -si)

e="Detected OS is "
f=$OS
g="."
h=$e$f$g
echo $h

echo " "
echo "g++, gcc, and gtkmm are required."

while true; do
    read -p "Do you wish to install these necessary apps?" yn
    case $yn in
        [Yy]* )
			if [ $OS = "Debian" ]; then
				declare -a NEEDED_SOFTWARE=(gcc g++ libgtkmm-3.0-dev)
				sudo apt-get update
	
				for SOFTWARE in ${NEEDED_SOFTWARE[@]}; do
					sudo apt-get -y install $SOFTWARE
				done
			elif [ $OS = "Ubuntu" ]; then
				declare -a NEEDED_SOFTWARE=(gcc g++ libgtkmm-3.0-dev)
				sudo apt-get update
	
				for SOFTWARE in ${NEEDED_SOFTWARE[@]}; do
					sudo apt-get -y install $SOFTWARE
				done
			elif [ $OS = "ManjaroLinux" ]; then
				declare -a NEEDED_SOFTWARE=(gcc-multilib gtkmm3)
				sudo pacman -Sy
	
				for SOFTWARE in ${NEEDED_SOFTWARE[@]}; do
					yes | sudo pacman -S $SOFTWARE
				done
			elif [ $NAME = "Fedora" ]; then
				declare -a NEEDED_SOFTWARE=(gcc gcc-c++ gtkmm30)
				for SOFTWARE in ${NEEDED_SOFTWARE[@]}; do
					sudo yum -y install $SOFTWARE
				done
			else
				echo "(Unknown OS detected...)"
				exit
			fi
			
			break;;
        [Nn]* )
			break;;
        * )
			echo "Please answer with y or n.";;
    esac
done

sudo mv makeromfs-gui /usr/bin/
sudo mv makeromfs-gui.desktop /usr/share/applications/
sudo mv makeromfs-gui.png /usr/share/icons/
echo "Installation is done, you can now launch MakeROMFS-GUI from the applications menu!"
rm -rf install.sh
